ooo-build r13550 - trunk/bin



Author: michael
Date: Wed Aug 13 20:01:53 2008
New Revision: 13550
URL: http://svn.gnome.org/viewvc/ooo-build?rev=13550&view=rev

Log:
commit the latest version.


Modified:
   trunk/bin/applyflags

Modified: trunk/bin/applyflags
==============================================================================
--- trunk/bin/applyflags	(original)
+++ trunk/bin/applyflags	Wed Aug 13 20:01:53 2008
@@ -1,36 +1,37 @@
-#!/bin/sh
+#!/bin/bash
 
-#
-# See setup for user tweakables.
-#
-. $1/setup >/dev/null 2>&1
+# generate flags for apply.pl - from various pieces ...
+# highly dependent on a custom environment ...
 
-echo -n "--distro=$DISTRO"
+bindir=$1
 
-if test -d $OOBUILDDIR/binfilter ; then
-	echo -n " --distro=Binfilter"
+if test "z$bindir" == "z"; then
+    echo "Serious error - requires path to bindir";
+    exit 1;
 fi
 
-if test -d $OOBUILDDIR/zlib; then
-	echo -n " --distro=System"
-fi
+cd $bindir
+source setup >& /dev/null
 
-if test -d $OOBUILDDIR/sdk_oo ; then
-	echo -n " --distro=Sdk"
+echo -n "--distro=$DISTRO";
+if test -d $OOBUILDDIR/binfilter; then
+    echo -n " --distro=Binfilter";
 fi
-
-if grep localize.sdf $OOBUILDDIR/sw/source/ui/app/localize.sdf > /dev/null 2>&1 ; then
-	echo -n " --distro=Localize"
+if test -d $OOBUILDDIR/zlib; then
+    echo -n " --distro=System";
+fi
+if test -d $OOBUILDDIR/sdk_oo; then
+    echo -n " --distro=Sdk";
 fi
-
 if test -d $OOBUILDDIR/swext ; then
-	echo -n " --distro=swext"
+    echo -n " --distro=swext";
+fi
+if grep localize.sdf $OOBUILDDIR/sw/source/ui/app/localize.sdf > /dev/null 2>&1 ; then
+    echo -n " --distro=Localize";
 fi
-
 if test -n "$OOO_ADDITIONAL_SECTIONS" ; then
-	echo -n " --additional-sections=$OOO_ADDITIONAL_SECTIONS"
+    echo -n " --additional-sections=$OOO_ADDITIONAL_SECTIONS";
 fi
-
 if test "z$PIECE" != "z"; then
-	echo -n " --pieces --distro=Piece"
-fi
+    echo -n " --pieces --distro=Piece";
+fi ;



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]